curl --request PUT \
--url https://api.thefaithapp.com/v1/care-life-moments/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reminders_enabled": true,
"grief_follow_up_enabled": true,
"hard_anniversary_follow_up_enabled": true,
"care_radar_enabled": false,
"group_participation_follow_up_enabled": false,
"contact_preference": "text",
"acknowledgment_style": "ask_first"
}
'const options = {
method: 'PUT',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reminders_enabled: true,
grief_follow_up_enabled: true,
hard_anniversary_follow_up_enabled: true,
care_radar_enabled: false,
group_participation_follow_up_enabled: false,
contact_preference: 'text',
acknowledgment_style: 'ask_first'
})
};
fetch('https://api.thefaithapp.com/v1/care-life-moments/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/care-life-moments/preferences"
payload = {
"reminders_enabled": True,
"grief_follow_up_enabled": True,
"hard_anniversary_follow_up_enabled": True,
"care_radar_enabled": False,
"group_participation_follow_up_enabled": False,
"contact_preference": "text",
"acknowledgment_style": "ask_first"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "Your pastoral care preferences were updated.",
"data": {
"preferences": {
"reminders_enabled": true,
"birthday_follow_up_enabled": false,
"grief_follow_up_enabled": true,
"illness_follow_up_enabled": false,
"crisis_follow_up_enabled": false,
"hard_anniversary_follow_up_enabled": true,
"care_radar_enabled": false,
"group_participation_follow_up_enabled": false,
"contact_preference": "text",
"acknowledgment_style": "ask_first",
"consented_at": "2026-07-25T09:30:00.000000Z",
"care_radar_consented_at": null
}
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Update Pastoral Care Preferences
Updates one or more member-controlled consent and contact settings. Reminder and Care Radar consent are disabled by default. Disabling a consent also closes related pending follow-up signals.
curl --request PUT \
--url https://api.thefaithapp.com/v1/care-life-moments/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reminders_enabled": true,
"grief_follow_up_enabled": true,
"hard_anniversary_follow_up_enabled": true,
"care_radar_enabled": false,
"group_participation_follow_up_enabled": false,
"contact_preference": "text",
"acknowledgment_style": "ask_first"
}
'const options = {
method: 'PUT',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
reminders_enabled: true,
grief_follow_up_enabled: true,
hard_anniversary_follow_up_enabled: true,
care_radar_enabled: false,
group_participation_follow_up_enabled: false,
contact_preference: 'text',
acknowledgment_style: 'ask_first'
})
};
fetch('https://api.thefaithapp.com/v1/care-life-moments/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/care-life-moments/preferences"
payload = {
"reminders_enabled": True,
"grief_follow_up_enabled": True,
"hard_anniversary_follow_up_enabled": True,
"care_radar_enabled": False,
"group_participation_follow_up_enabled": False,
"contact_preference": "text",
"acknowledgment_style": "ask_first"
}
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"message": "Your pastoral care preferences were updated.",
"data": {
"preferences": {
"reminders_enabled": true,
"birthday_follow_up_enabled": false,
"grief_follow_up_enabled": true,
"illness_follow_up_enabled": false,
"crisis_follow_up_enabled": false,
"hard_anniversary_follow_up_enabled": true,
"care_radar_enabled": false,
"group_participation_follow_up_enabled": false,
"contact_preference": "text",
"acknowledgment_style": "ask_first",
"consented_at": "2026-07-25T09:30:00.000000Z",
"care_radar_consented_at": null
}
}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Body
Enable or disable all life-moment reminders.
Enable or disable birthday follow-up.
Enable or disable grief follow-up.
Enable or disable illness follow-up.
Enable or disable crisis follow-up.
Enable or disable hard-anniversary follow-up.
Enable or disable Care Radar consent.
Enable or disable Community Group participation follow-up consent.
How the member prefers to be contacted.
in_app, phone, text, email "phone"
Preferred acknowledgment style.
gentle, ask_first, no_contact Was this page helpful?